org.jboss.jca.core.api.management

## Class DataSource

- java.lang.Object
- - org.jboss.jca.core.api.management.DataSource

- All Implemented Interfaces:
    ManagedEnlistmentTrace

      public class DataSource
      extends java.lang.Object
      implements ManagedEnlistmentTrace

  Represents a datasource instance
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSource(boolean xa)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getEnlistmentTrace()` Get the enlistmentTrace instance.
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `Pool` | `getPool()` Get the pool instance.
    `PoolConfiguration` | `getPoolConfiguration()` Get the pool configuration instance.
    `StatisticsPlugin` | `getStatistics()` Get the statistics instance.
    `boolean` | `isXA()` xa datasource
    `void` | `setEnlistmentTrace(java.lang.Boolean enlistmentTrace)` Set the enlistmentTrace
    `void` | `setJndiName(java.lang.String v)` Set the jndiName.
    `void` | `setPool(Pool p)` Set the pool
    `void` | `setPoolConfiguration(PoolConfiguration pc)` Set the pool configuration
    `void` | `setStatistics(StatisticsPlugin v)` Set the statistics
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSource

          public DataSource(boolean xa)

      Constructor
      Parameters:
        `xa` - datasource is xa or not

  - ### Method Detail

    - #### isXA

          public boolean isXA()

      xa datasource
      Returns:
        true if it xa datasource

    - #### getPool

          public Pool getPool()

      Get the pool instance. Note, that the value may be `null` if the pool was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### setPool

          public void setPool(Pool p)

      Set the pool
      Parameters:
        `p` - The pool

    - #### getPoolConfiguration

          public PoolConfiguration getPoolConfiguration()

      Get the pool configuration instance. Note, that the value may be `null` if the pool configuration was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### setPoolConfiguration

          public void setPoolConfiguration(PoolConfiguration pc)

      Set the pool configuration
      Parameters:
        `pc` - The pool configuration

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the jndiName.
      Returns:
        the jndiName.

    - #### setJndiName

          public void setJndiName(java.lang.String v)

      Set the jndiName.
      Parameters:
        `v` - The value

    - #### getStatistics

          public StatisticsPlugin getStatistics()

      Get the statistics instance. Note, that the value may be `null` if the statistics module was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### setStatistics

          public void setStatistics(StatisticsPlugin v)

      Set the statistics
      Parameters:
        `v` - The statistics module

    - #### getEnlistmentTrace

          public java.lang.Boolean getEnlistmentTrace()

      Get the enlistmentTrace instance. Note, that the value may be `null` if the enlistmentTrace module was undeployed and this object wasn't cleared up correctly.
      Specified by:
        `getEnlistmentTrace` in interface `ManagedEnlistmentTrace`
      Returns:
        The instance

    - #### setEnlistmentTrace

          public void setEnlistmentTrace(java.lang.Boolean enlistmentTrace)

      Set the enlistmentTrace
      Parameters:
        `enlistmentTrace` - The enlistmentTrace module

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)